Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.jigl
Class ConvertSignal

    java.lang.Object
      |
      +--jm.jigl.ConvertSignal

public class ConvertSignal
extends java.lang.Object

Signal type conversions. Handles only discrete, real, and complex.

See Also:
  `jigl.math.ConvertSignal`

Constructor Summary
`ConvertSignal()` Default Constructor (doesn't do anything)

Method Summary
`static ComplexSignal` | `toComplex(ComplexSignal signal)` Converts a ComplexSignal to a ComplexSignal
`static ComplexSignal` | `toComplex(DiscreteSignal signal)` Converts a DiscreteSignal to a ComplexSignal
`static ComplexSignal` | `toComplex(RealSignal signal)` Converts a RealSignal to a ComplexSignal
`static ComplexSignal` | `toComplex(Signal signal)` Converts a Signal to a ComplexSignal
`static DiscreteSignal` | `toDiscrete(ComplexSignal signal)` Converts a ComplexSignal to a DiscretetSignal
`static DiscreteSignal` | `toDiscrete(DiscreteSignal signal)` Converts a DiscreteSignal to a DiscretetSignal
`static DiscreteSignal` | `toDiscrete(RealSignal signal)` Converts a RealSignal to a DiscretetSignal
`static DiscreteSignal` | `toDiscrete(Signal signal)` Converts a Signal to a DescreteSignal
`static RealSignal` | `toRealDiscrete(ComplexSignal signal)` Converts a ComplexSignal to a RealSignal
`static RealSignal` | `toRealDiscrete(DiscreteSignal signal)` Converts a DiscreteSignal to a RealSignal
`static RealSignal` | `toRealDiscrete(RealSignal signal)` Converts a RealSignal to a RealSignal
`static RealSignal` | `toRealDiscrete(Signal signal)` Converts a Signal to a RealSignal

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertSignal

    public ConvertSignal()

  Default Constructor (doesn't do anything)

Method Detail

### toDiscrete

    public static DiscreteSignal toDiscrete(Signal signal)

  Converts a Signal to a DescreteSignal

### toRealDiscrete

    public static RealSignal toRealDiscrete(Signal signal)

  Converts a Signal to a RealSignal

### toComplex

    public static ComplexSignal toComplex(Signal signal)

  Converts a Signal to a ComplexSignal

### toDiscrete

    public static DiscreteSignal toDiscrete(DiscreteSignal signal)

  Converts a DiscreteSignal to a DiscretetSignal

### toDiscrete

    public static DiscreteSignal toDiscrete(RealSignal signal)

  Converts a RealSignal to a DiscretetSignal

### toDiscrete

    public static DiscreteSignal toDiscrete(ComplexSignal signal)

  Converts a ComplexSignal to a DiscretetSignal

### toRealDiscrete

    public static RealSignal toRealDiscrete(DiscreteSignal signal)

  Converts a DiscreteSignal to a RealSignal

### toRealDiscrete

    public static RealSignal toRealDiscrete(RealSignal signal)

  Converts a RealSignal to a RealSignal

### toRealDiscrete

    public static RealSignal toRealDiscrete(ComplexSignal signal)

  Converts a ComplexSignal to a RealSignal

### toComplex

    public static ComplexSignal toComplex(DiscreteSignal signal)

  Converts a DiscreteSignal to a ComplexSignal

### toComplex

    public static ComplexSignal toComplex(RealSignal signal)

  Converts a RealSignal to a ComplexSignal

### toComplex

    public static ComplexSignal toComplex(ComplexSignal signal)

  Converts a ComplexSignal to a ComplexSignal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD